跳转到主要内容
POST
JavaScript

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json

Request body for creating a discount.

code is optional; if not provided, we generate a random 16-char code.

amount
integer<int32>
必填

The discount amount in basis points (e.g. 540 means 5.4%, 10000 means 100%).

Must be at least 1.

type
enum<string>
必填

The discount type. Currently only percentage is supported.

可用选项:
percentage
code
string | null

Optionally supply a code (will be uppercased).

  • Must be at least 3 characters if provided.
  • If omitted, a random 16-character code is generated.
expires_at
string<date-time> | null

When the discount expires, if ever.

metadata
Metadata · object

Additional metadata for the discount

name
string | null
preserve_on_plan_change
boolean

Whether this discount should be preserved when a subscription changes plans. Default: false (discount is removed on plan change)

restricted_to
string[] | null

List of product IDs to restrict usage (if any).

subscription_cycles
integer<int32> | null

Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.

usage_limit
integer<int32> | null

How many times this discount can be used (if any). Must be >= 1 if provided.

响应

Created discount

amount
integer<int32>
必填

The discount amount in basis points (e.g., 540 => 5.4%).

business_id
string
必填

The business this discount belongs to.

code
string
必填

The discount code (up to 16 chars).

created_at
string<date-time>
必填

Timestamp when the discount is created

discount_id
string
必填

The unique discount ID

metadata
Metadata · object
必填

Arbitrary key-value metadata. Values can be string, integer, number, or boolean.

preserve_on_plan_change
boolean
必填

Whether this discount should be preserved when a subscription changes plans. Default: false (discount is removed on plan change)

restricted_to
string[]
必填

List of product IDs to which this discount is restricted.

times_used
integer<int32>
必填

How many times this discount has been used.

type
enum<string>
必填

The type of discount. Currently only percentage is supported.

可用选项:
percentage
expires_at
string<date-time> | null

Optional date/time after which discount is expired.

name
string | null

Name for the Discount

subscription_cycles
integer<int32> | null

Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.

usage_limit
integer<int32> | null

Usage limit for this discount, if any.

最后修改于 2026年4月1日